AbstractEndpoint.Handler.SocketState (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Enum AbstractEndpoint.Handler.SocketState

- java.lang.Object
- - java.lang.Enum<AbstractEndpoint.Handler.SocketState>
  - - org.apache.tomcat.util.net.AbstractEndpoint.Handler.SocketState

- All Implemented Interfaces:
    Serializable, Comparable<AbstractEndpoint.Handler.SocketState>
  Enclosing interface:
    AbstractEndpoint.Handler<S>

      public static enum AbstractEndpoint.Handler.SocketState
      extends Enum<AbstractEndpoint.Handler.SocketState>

  Different types of socket states to react upon.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC_END`
    `CLOSED`
    `LONG`
    `OPEN`
    `SENDFILE`
    `SUSPENDED`
    `UPGRADED`
    `UPGRADING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractEndpoint.Handler.SocketState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractEndpoint.Handler.SocketState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final AbstractEndpoint.Handler.SocketState OPEN

    - #### CLOSED

          public static final AbstractEndpoint.Handler.SocketState CLOSED

    - #### LONG

          public static final AbstractEndpoint.Handler.SocketState LONG

    - #### ASYNC_END

          public static final AbstractEndpoint.Handler.SocketState ASYNC_END

    - #### SENDFILE

          public static final AbstractEndpoint.Handler.SocketState SENDFILE

    - #### UPGRADING

          public static final AbstractEndpoint.Handler.SocketState UPGRADING

    - #### UPGRADED

          public static final AbstractEndpoint.Handler.SocketState UPGRADED

    - #### SUSPENDED

          public static final AbstractEndpoint.Handler.SocketState SUSPENDED

  - ### Method Detail

    - #### values

          public static AbstractEndpoint.Handler.SocketState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractEndpoint.Handler.SocketState c : AbstractEndpoint.Handler.SocketState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractEndpoint.Handler.SocketState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.